Skip to main content
`Ctrl`+`K`

# tree_broadcast_center

tree_broadcast_center(G)

  Return the Broadcast Center of the tree `G`.

  The broadcast center of a graph G denotes the set of nodes having minimum broadcast time [1]. This is a linear algorithm for determining the broadcast center of a tree with `N` nodes, as a by-product it also determines the broadcast time from the broadcast center.

  Parameters:
    G undirected graph

      The graph should be an undirected tree

  Returns:
    BC(int, set) tuple

      minimum broadcast number of the tree, set of broadcast centers

  Raises:
    NetworkXNotImplemented

      If the graph is directed or is a multigraph.

  References

  [1]

  Slater, P.J., Cockayne, E.J., Hedetniemi, S.T, Information dissemination in trees. SIAM J.Comput. 10(4), 692–701 (1981)